## com.saxonica
Class Query

    java.lang.Object
      net.sf.saxon.Query
          com.saxonica.Query

    public class Query

extends Query

This is a schema-aware version of the command line interface for running XSLT transformations

Constructor Summary
`Query()`

Method Summary
`static void` `main(String[] args)` Main program, can be used directly from the command line.
`void` `setPOption(Configuration config)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Query

    public Query()

Method Detail

### setPOption

    public void setPOption(Configuration config)

  Overrides:
    `setPOption` in class `Query`

### main

    public static void main(String[] args)
                     throws Exception

  Main program, can be used directly from the command line.

  The format is:

  java net.sf.saxon.Transform [options] source-file style-file >output-file

  followed by any number of parameters in the form {keyword=value}... which can be referenced from within the stylesheet.

  This program applies the XSL style sheet in style-file to the source XML document in source-file.

  Parameters:
    `args` - List of arguments supplied on operating system command line
  Throws:
    `Exception` - Indicates that a compile-time or run-time error occurred

Copyright (C) Michael H. Kay. All rights reserved.